﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Stimulsoft.Report;

namespace Report_Linq_Csharp__www.learnfiles.com_
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var db = new DataClasses1DataContext();
            dataGridView1.DataSource = db.tbl_stus;
           
            this.dataGridView1.ColumnHeadersDefaultCellStyle.Font = new Font("Microsoft Sans Serif", 10);
            this.dataGridView1.Columns[0].Width = 110;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var db = new DataClasses1DataContext();
            tbl_stu tbl_insert = new tbl_stu
            {
                Id=int.Parse( txtid.Text),
                Name=txtname.Text,
                Family=txtfamily.Text,
                WebSite=txtwebsite.Text
            };
            db.tbl_stus.InsertOnSubmit(tbl_insert);
            db.SubmitChanges();

            dataGridView1.DataSource = db.tbl_stus;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            var db = new DataClasses1DataContext();         

            db.tbl_stus.Where(c => c.Id == int.Parse(dataGridView1.CurrentRow.Cells[0].Value.ToString()));

            db.tbl_stus.DeleteOnSubmit(db.tbl_stus.Single());
            db.SubmitChanges();

            dataGridView1.DataSource = db.tbl_stus;
        }

        public StiReport report = new StiReport();
        public void Regdata(StiReport report)
        {
            var db = new DataClasses1DataContext();
            using (DataClasses1DataContext contex = new DataClasses1DataContext())
            {
                var Qselect = from c in contex.tbl_stus
                              select new { c.Id, c.Name, c.Family, c.WebSite };
                report.RegData("Qselect", Qselect);
                   
            }
        }


        private void button3_Click(object sender, EventArgs e)
        {
            report.Load("\\report.mrt");
            Regdata(report);
            report.Show();
        }

        public StiReport report1 = new StiReport();
        public void Regdata1(StiReport report1)
        {
            var db = new DataClasses1DataContext();
            using (DataClasses1DataContext contex1 = new DataClasses1DataContext())
            {
                var Qselect = db.tbl_stus.Where(c => c.Id == int.Parse(txtreport.Text));
                report1.RegData("Qselect", Qselect);
            }
            
        }


        private void button4_Click(object sender, EventArgs e)
        {
            report1.Load("\\report1.mrt");
            Regdata1(report1);
            report1.Show();
        }
    }
}
